Bug 1071160 - Swedish special chars (åäö) disapears php 5.5.9, Fedora 20, Apache 2.4 Mysqql 5.1 (on another server)
Summary: Swedish special chars (åäö) disapears php 5.5.9, Fedora 20, Apache 2.4 Mysqql...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 20
Hardware: x86_64
OS: Other
unspecified
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-28 07:25 UTC by pekka seitola
Modified: 2014-03-27 12:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-26 09:32:45 UTC


Attachments (Terms of Use)

Description pekka seitola 2014-02-28 07:25:16 UTC
It´s a combination between PHP 5.5.9, Fedora 20 Apache 2.4 and MySql 5.1
When I run the php application on this configuration it and bring up strings with swedish chars in - the system filters these whole strings so they don´t reach the client. 


Version-Release number of selected component (if applicable):
php 5.5.9, Fedora 20, Apache 2.4 Mysqql 5.1 (on another server)

How reproducible:
Evry time

Steps to Reproduce:
1.Just run the application
2.
3.

Actual results:
Strings with swedish special chars (åäö) disapear.

Expected results:
Strings with swedish chars

Additional info:
The same application works fine in ffolowing setup
Fedora 7, php 5.3.? Apache 2.2 and Mysql 5.1 (same server as above)

Comment 1 Adam Pribyl 2014-02-28 08:45:12 UTC
I am not sure this is a problem with localization. It looks to me like this is a problem either with the app - e.g. the app is not using utf8 or somewhere else in the chain. You should narrow it down.

1. simply do a query in console from mysql where the string is
2. run php to query the mysql
3. report where the string disappears

create a minimal test case if possible - few SQL lines with approriate strings, php that reads it...

Comment 2 Remi Collet 2014-02-28 14:56:33 UTC
Please provide a simple reproducer.

But web application using UTF-8 string have no issue, so I rather think to a configuration issue.

Comment 3 Remi Collet 2014-03-26 09:32:45 UTC
As can't reproduce, and no reproducer provided, closing.


Note You need to log in before you can comment on or make changes to this bug.